Page 1 of 3 123 LastLast
Results 1 to 10 of 21

Thread: Ubuntu 11.10 Notify-OSD no longer respects ~/.notify-osd?

  1. #1
    Join Date
    May 2011
    Beans
    11

    Ubuntu 11.10 Notify-OSD no longer respects ~/.notify-osd?

    Hi all,

    I just upgraded to 11.10 and immediately I noticed that the pretty notification bubbles that I had configured in 11.04 through the ~/.notify-osd file have reverted to their default settings. It would seem there is a new way to configure them. Has anyone else experienced this/found a way to configure the notification bubbles in 11.10?

    Thanks!

  2. #2
    Join Date
    May 2011
    Beans
    11

    Re: Ubuntu 11.10 Notify-OSD no longer respects ~/.notify-osd?

    Has anyone at least encountered this problem? With or without a solution? I would be helpful to me to know that someone else can still configure notify-osd through ~/.notify-osd.

  3. #3
    Join Date
    May 2006
    Location
    Worcester, UK
    Beans
    41
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: Ubuntu 11.10 Notify-OSD no longer respects ~/.notify-osd?

    Hi Kira

    I think the ~/.notify-osd config file is for a patched version of notify-osd which at the time of writing isn't yet available for Oneiric. As far as I know the default version of notify-osd can't be customised.

    Growl it most certainly isn't (and yet it so easily could be). Grr.

  4. #4
    Join Date
    May 2011
    Beans
    11

    Re: Ubuntu 11.10 Notify-OSD no longer respects ~/.notify-osd?

    I think the ~/.notify-osd config file is for a patched version of notify-osd which at the time of writing isn't yet available for Oneiric.
    Ah, thanks for the reply. That makes some sense, and if it is the case, hopefully the same functionality will be restored soon. In the mean time, I'll keep an eye out and post back here when/if it's changed. Thanks!

  5. #5
    Join Date
    May 2006
    Location
    Worcester, UK
    Beans
    41
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: Ubuntu 11.10 Notify-OSD no longer respects ~/.notify-osd?

    Here's a quick hack to use the Natty version (at least until an Oneiric version is released). It seems to work as per usual.

    Notes:
    The second-to-last line reinstalls apps that were removed with notify-osd at the start.
    The aptitude command at the end locks your version of notify-osd from being 'upgraded' to the official Oneiric version (you'll obviously need aptitude installed if you wish to run that line - sudo apt-get install aptitude).

    Code:
    sudo apt-get remove notify-osd
    wget https://launchpad.net/~nilarimogard/+archive/webupd8/+files/notifyosdconfig_0.1-6~natty1_i386.deb
    wget https://launchpad.net/~leolik/+archive/leolik/+files/notify-osd_0.9.30-0ubuntu4-leolik~ppa1-1_i386.deb
    sudo dpkg -i notify-osd_0.9.30-0ubuntu4-leolik~ppa1-1_i386.deb
    sudo dpkg -i notifyosdconfig_0.1-6~natty1_i386.deb
    sudo apt-get install gnome-power-manager ubuntu-desktop update-notifier
    sudo aptitude hold notify-osd

  6. #6
    Join Date
    Dec 2010
    Beans
    4
    Distro
    Kubuntu 10.10 Maverick Meerkat

    Re: Ubuntu 11.10 Notify-OSD no longer respects ~/.notify-osd?

    Hi,

    Thanks for the post, it really helped and solved the issue. I just have a tip if anyone else needs reads this post. Never, never just copy-paste the links or commands without reading carefully.
    I just copy-paste the commands from above, and i never saw that they are for the i386 arquitecture, and i'm using a 64 bit OS. So you can guess what kind of mess i did, jejeje ROFL

    In case someone else need this, here are the links and commands for the 64bit:

    Code:
    wget https://launchpad.net/~nilarimogard/+archive/webupd8/+files/notifyosdconfig_0.1-6~natty1_amd64.deb
    wget https://launchpad.net/~leolik/+archive/leolik/+files/notify-osd_0.9.30-0ubuntu4-leolik~ppa1-1_amd64.deb
    sudo dpkg -i notify-osd_0.9.30-0ubuntu4-leolik~ppa1-1_amd64.deb
    sudo dpkg -i notifyosdconfig_0.1-6~natty1_amd64.deb
    Have a good day!!!

  7. #7
    Join Date
    May 2011
    Beans
    11

    Re: Ubuntu 11.10 Notify-OSD no longer respects ~/.notify-osd?

    Wow, thank you very much to both of you. This works, well, exactly as it used to! I installed the amd64 packages for my system. Thanks again!

  8. #8
    Join Date
    May 2006
    Location
    Worcester, UK
    Beans
    41
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: Ubuntu 11.10 Notify-OSD no longer respects ~/.notify-osd?

    As a follow-up, I found that the aptitude hold command didn't stop my package manager upgrading notify-osd to the newer locked-down version, so I fixed this in synaptic instead. So, ...

    Install Synaptic:
    Code:
    sudo apt-get install synaptic
    run it, then find notify-osd, highlight it and go to Package > Lock version. This will lock the better version of notify-osd until Sukochev Roman (Leolik) releases an Oneiric version.

  9. #9
    Join Date
    Nov 2009
    Beans
    1,203

    Re: Ubuntu 11.10 Notify-OSD no longer respects ~/.notify-osd?

    Awesome. I always prefer Leolik's version of notify-osd and until it gets updated (hopefully), I thank you guys for this workaround.

    By the way, I believe this works better to hold a package via the command line:

    Code:
    echo "notify-osd hold" | sudo dpkg --set-selections
     
         rather than:
    
    sudo aptitude hold notify-osd
    I have used the above for a while for various packages and it hasn't failed me yet.

    And don't forget I believe you also need to install this:

    Code:
     sudo apt-get install libnotify-bin

    http://www.webupd8.org/2011/05/confi...bbles-for.html
    Last edited by inameiname; October 20th, 2011 at 04:57 PM.

  10. #10
    Join Date
    Dec 2006
    Beans
    6

    Re: Ubuntu 11.10 Notify-OSD no longer respects ~/.notify-osd?

    notify-osd updated for Ubuntu 11.10

Page 1 of 3 123 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •